VERSION 5.00
Object = "{8C11EFA1-92C3-11D1-BC1E-00C04FA31489}#1.0#0"; "mstscax.dll"
Begin VB.Form Form1 
   Caption         =   "RdpEx"
   ClientHeight    =   8685
   ClientLeft      =   120
   ClientTop       =   450
   ClientWidth     =   16050
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   579
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   1070
   StartUpPosition =   3  'Windows Default
   WindowState     =   2  'Maximized
   Begin VB.Timer timReconnect 
      Interval        =   1000
      Left            =   2970
      Top             =   510
   End
   Begin MSTSCLibCtl.MsRdpClient9NotSafeForScripting RdpClient 
      Height          =   2055
      Left            =   90
      OleObjectBlob   =   "Form1.frx":25CA
      TabIndex        =   12
      Top             =   480
      Width           =   2805
   End
   Begin VB.CommandButton cmdShutdown 
      Caption         =   "Shutdown"
      Enabled         =   0   'False
      Height          =   285
      Left            =   14490
      TabIndex        =   11
      Top             =   60
      Width           =   1485
   End
   Begin VB.CommandButton cmdReboot 
      Caption         =   "Reboot"
      Enabled         =   0   'False
      Height          =   285
      Left            =   12960
      TabIndex        =   10
      Top             =   60
      Width           =   1485
   End
   Begin VB.CommandButton cmdDisconnect 
      Caption         =   "Disconnect"
      Enabled         =   0   'False
      Height          =   285
      Left            =   11430
      TabIndex        =   9
      Top             =   60
      Width           =   1485
   End
   Begin VB.CommandButton cmdConnect 
      Caption         =   "Connect"
      Height          =   285
      Left            =   9900
      TabIndex        =   8
      Top             =   60
      Width           =   1485
   End
   Begin VB.TextBox txtServerName 
      Height          =   285
      Left            =   1110
      TabIndex        =   3
      Top             =   60
      Width           =   1485
   End
   Begin VB.TextBox txtDomain 
      Height          =   285
      Left            =   3360
      TabIndex        =   2
      Top             =   60
      Width           =   1485
   End
   Begin VB.TextBox txtUserName 
      Height          =   285
      Left            =   5880
      TabIndex        =   1
      Top             =   60
      Width           =   1485
   End
   Begin VB.TextBox txtPassword 
      Height          =   285
      IMEMode         =   3  'DISABLE
      Left            =   8280
      PasswordChar    =   "*"
      TabIndex        =   0
      Top             =   60
      Width           =   1485
   End
   Begin VB.Label Label1 
      Caption         =   "Server Name:"
      Height          =   195
      Index           =   0
      Left            =   90
      TabIndex        =   7
      Top             =   120
      Width           =   975
   End
   Begin VB.Label Label1 
      Caption         =   "Domain:"
      Height          =   195
      Index           =   1
      Left            =   2730
      TabIndex        =   6
      Top             =   120
      Width           =   585
   End
   Begin VB.Label Label1 
      Caption         =   "User Name:"
      Height          =   195
      Index           =   2
      Left            =   4980
      TabIndex        =   5
      Top             =   120
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Password:"
      Height          =   195
      Index           =   3
      Left            =   7500
      TabIndex        =   4
      Top             =   120
      Width           =   735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const WaitToShutdownReboot As Long = 10

Private bReboot As Boolean
Private sServer As String
Private sDomain As String
Private sUserName As String
Private sPassword As String

Private Sub Form_Load()

    timReconnect.Enabled = False
    timReconnect.Interval = 1000

End Sub

Private Sub Form_Unload(Cancel As Integer)

    If RdpClient.Connected = 1 Then

        If MsgBox("Die Verbindung wird nur beendet. Sie werden nicht " & _
            "abgemeldet. Wollen Sie wirklich die Verbindung beenden?", vbYesNo Or _
            vbQuestion, "RdpEx") = vbOK Then

            timReconnect.Enabled = False

            RdpClient.Disconnect

        Else

            Cancel = True

        End If

    End If

End Sub

Private Sub Form_Resize()

    If Me.WindowState <> 1 Then

        RdpClient.Move 0, 28, Me.ScaleWidth, Me.ScaleHeight - 28

    End If

End Sub

Private Sub cmdConnect_Click()

    sServer = txtServerName.Text
    sDomain = txtDomain.Text
    sUserName = txtUserName.Text
    sPassword = txtPassword.Text

    RdpClient.Server = sServer
    RdpClient.Domain = sDomain
    RdpClient.UserName = sUserName
    RdpClient.AdvancedSettings9.ClearTextPassword = sPassword
    RdpClient.AdvancedSettings9.EnableCredSspSupport = True

    RdpClient.Connect

End Sub

Private Sub cmdDisconnect_Click()

    If RdpClient.Connected = 1 Then

        If MsgBox("Die Verbindung wird nur beendet. Sie werden nicht " & _
            "abgemeldet. Wollen Sie wirklich die Verbindung beenden?", vbYesNo Or _
            vbQuestion, "RdpEx") = vbOK Then

            timReconnect.Enabled = False

            RdpClient.Disconnect

        End If

    End If

End Sub

Private Sub cmdReboot_Click()

    Call SystemDownReboot(RdpClient.Server, "Das System wird in " & CStr( _
        WaitToShutdownReboot) & " Sekunden neu gestartet und dann wieder mit " & _
        "RdpEx verbunden.", True, WaitToShutdownReboot)

    bReboot = True

End Sub

Private Sub cmdShutdown_Click()

    Call SystemDownReboot(RdpClient.Server, "Das System wird in " & CStr( _
        WaitToShutdownReboot) & " Sekunden heruntergefahren.", False, _
        WaitToShutdownReboot)

End Sub

Private Sub RdpClient_OnConnected()

    bReboot = False
    timReconnect.Enabled = False

    cmdConnect.Enabled = False
    cmdDisconnect.Enabled = True
    cmdReboot.Enabled = True
    cmdShutdown.Enabled = True

    Me.Caption = UCase$(RdpClient.Server)

End Sub

Private Sub RdpClient_OnDisconnected(ByVal discReason As Long)

    cmdConnect.Enabled = True
    cmdDisconnect.Enabled = False
    cmdReboot.Enabled = False
    cmdShutdown.Enabled = False

    If bReboot = True Then

        Me.Caption = "Reboot " & UCase$(RdpClient.Server)

        timReconnect.Enabled = True

    Else

        Me.Caption = "RdpEx"

    End If

End Sub

Private Sub timReconnect_Timer()

    If RdpClient.Connected = 0 Then

        RdpClient.Connect

    End If

End Sub


